package com.sy.coinage.sys.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.vo.*;

/**
 * 菜单Service
 */
public interface IMenuService extends IService<Menu> {

    List<MenuListVO> treeList();

    List<OptVO> treeOpt();

    List<UserMenusVO> queryUserMenusList(Integer userId);

}
